#!/bin/bash

source ../test_utils/test_utils.sh

check_dependencies eztrace eztrace_avail otf2-print || exit 1
check_module "pthread" || exit 1

# Building tests
check_compilation || exit 1

nfailed=0
# Running test scripts
for test in test_*.sh; do
    run_test "$test" || ((nfailed++))
done

exit $nfailed
